'use strict';

/**
 * Defines what is needed for a migration to be execute
 */
class MigrationOperation {
    /** Name of the migration that will be used to uniquely identity it among all other migration */
    migrationName;
    /** The actual migration function that will modify the perisitence storage */
    migrationFunction;
    constructor(migrationName, migrationFunction) {
        this.migrationName = migrationName;
        this.migrationFunction = migrationFunction;
    }
}
const defaultSessionStorageMigratorOptions = {
    migrationDBIdentifier: 'shopify_sessions_migrations',
};
const defaultRdbmsSessionStorageMigratorOptions = {
    migrationDBIdentifier: 'shopify_sessions_migrations',
    migrationNameColumnName: 'migration_name',
};

exports.MigrationOperation = MigrationOperation;
exports.defaultRdbmsSessionStorageMigratorOptions = defaultRdbmsSessionStorageMigratorOptions;
exports.defaultSessionStorageMigratorOptions = defaultSessionStorageMigratorOptions;
//# sourceMappingURL=types.js.map
